package com.njcn.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.system.pojo.param.TimersParam;
import com.njcn.system.pojo.po.Timers;
import com.njcn.system.pojo.vo.TimersVO;

import java.util.List;

/**
 * <p>
 * 定时任务 服务类
 * </p>
 *
 * @author hongawen
 * @since 2023-12-05
 */
public interface ITimersService extends IService<Timers> {

    Page<TimersVO> listTimer(TimersParam queryParam);

    boolean addTimer(TimersParam timersParam);

    boolean editTimer(TimersParam timersParam);

    boolean deleteTimers(List<String> ids);

    List<String> getActionClasses();

    void start(String id);

    void stop(String id);

    void run(String id,String date) throws InterruptedException;
}
